
ctools - Action #1288

ctmodel doesn't work for GCTABackground3D

07/21/2014 10:51 AM - Lu Chia-Chun

Status: Rejected Start date: 07/21/2014

Priority: High Due date:  

Assigned To: Knödlseder Jürgen % Done: 10%

Category:  Estimated time: 0.00 hour

Target version: 1.0.0   

Description

It throws no error messages but gives maps filled with zero.

Related issues:

Related to GammaLib - Change request # 1197: Gammlib should check consistency... New 05/09/2014

History

#1 - 07/21/2014 12:29 PM - Lu Chia-Chun

- Status changed from New to Resolved

same problem as #1197. The model instrument doesn't match the observation instrument name...(in obs, I  used "CTA" and in model "HESS".)

I think this is a mistake people can easily make. Can't we do something ? At least throwing some warning messages?

#2 - 07/21/2014 02:09 PM - Knödlseder Jürgen

- Status changed from Resolved to In Progress

- Target version set to 00-08-00

- % Done changed from 0 to 10

What should we do about this? How can ctmodel "guess" what the user wants to do and signal that he/she made an error?

I guess that ctmodel should create no model map in case that no corresponding model was found, and write a corresponding warning into the log file.

Would this have helped you to fix the problem? (if yes I'll go ahead and make the change)

#3 - 07/21/2014 02:12 PM - Knödlseder Jürgen

- Status changed from In Progress to Rejected

- Target version deleted (00-08-00)

- Remaining (hours) set to 0.0

I reject that issue as we have already #1197 for the same problem.

#4 - 07/21/2014 02:13 PM - Knödlseder Jürgen

- Status changed from Rejected to In Progress

- Assigned To set to Knödlseder Jürgen

- Target version set to 00-08-00

- Estimated time set to 0.00

Re-open as #1197 was for ctlike while this issue is for ctmodel (same underlying problem but affects different systems).
#5 - 07/21/2014 10:15 PM - Lu Chia-Chun

I guess this is probably the best solution:

if ( user == "Chia-Chun"):

print "WARNING! Check the instrument name in your model. It probably doesn't match the observation!"

Knödlseder Jürgen wrote:

What should we do about this? How can ctmodel "guess" what the user wants to do and signal that he/she made an error?

I guess that ctmodel should create no model map in case that no corresponding model was found, and write a corresponding warning into the

log file. Would this have helped you to fix the problem? (if yes I'll go ahead and make the change)

#6 - 10/31/2014 11:26 PM - Knödlseder Jürgen

Action: add some check to ctmodel and dump warning if no relevant model was found.

#7 - 11/11/2014 11:53 PM - Knödlseder Jürgen

- Target version changed from 00-08-00 to 1.0.0

#8 - 07/02/2015 06:49 PM - Knödlseder Jürgen

- Status changed from In Progress to Rejected

As this is a user problem, we don't do anything it for now.
